BEGIN ~DeCRE#03~

IF ~True()~ THEN BEGIN 0
   SAY @1
   IF ~~ THEN GOTO 1
END

IF ~~ THEN BEGIN 1
   SAY @2
   IF ~~ THEN GOTO 2
END

IF ~~ THEN BEGIN 2
   SAY @3
   IF ~~ THEN GOTO 3
END

IF ~~ THEN BEGIN 3
   SAY @4
   IF ~~ THEN GOTO 4
END

IF ~~ THEN BEGIN 4
   SAY @5
   IF ~~ THEN GOTO 5
END

IF ~~ THEN BEGIN 5
   SAY @6
   IF ~~ THEN REPLY @7 GOTO 6
   IF ~~ THEN REPLY @8 GOTO 7
END

IF ~~ THEN BEGIN 6
   SAY @9
   IF ~~ THEN DO ~Enemy()
                  CreateCreatureObjectOffset("DeCRE#04","DeBob",[-40.50])
                  CreateCreatureObjectOffset("DeCRE#04","DeBob",[-20.50])
                  CreateCreatureObjectOffset("DeCRE#04","DeBob",[20.50])
                  CreateCreatureObjectOffset("DeCRE#04","DeBob",[40.50])
                  CreateCreatureObjectOffset("DeCRE#05","DeBob",[-240.40])
                  CreateCreatureObjectOffset("DeCRE#05","DeBob",[240.40])
                  CreateCreatureObjectOffset("DeCRE#05","DeBob",[-240.-40])
                  CreateCreatureObjectOffset("DeCRE#05","DeBob",[240.-40])~ EXIT
END

IF ~~ THEN BEGIN 7
   SAY @10
   IF ~~ THEN DO ~Enemy()
                  CreateCreatureObjectOffset("DeCRE#04","DeBob",[-40.50])
                  CreateCreatureObjectOffset("DeCRE#04","DeBob",[-20.50])
                  CreateCreatureObjectOffset("DeCRE#04","DeBob",[20.50])
                  CreateCreatureObjectOffset("DeCRE#04","DeBob",[40.50])
                  CreateCreatureObjectOffset("DeCRE#05","DeBob",[-240.40])
                  CreateCreatureObjectOffset("DeCRE#05","DeBob",[240.40])
                  CreateCreatureObjectOffset("DeCRE#05","DeBob",[-240.-40])
                  CreateCreatureObjectOffset("DeCRE#05","DeBob",[240.-40])~ EXIT
END
